export default CloudPDF;

export type CloudPDFViewerOptions = {
  serverUrl?: string;
  recorderUrl?: string;
  documentId?: string;
  darkMode?: boolean;
  appBarColored?: boolean;
  themeColor?: string;
  hideUI?: boolean;
  initialMaxWidth?: number;
  token?: string;
  hidePageNumberControls?: boolean;
  disableRecording?: boolean;
  userID?: string;
  sharingLink?: string;
  slug?: string;
  hostname?: string;
  defaultScale?: 'AUTOMATIC' | 'FIT_WIDTH' | 'FIT_PAGE' | number;
  disableElements?: string[];
  disableToolbar?: boolean;
  chatSidebarOpenByDefault?: boolean;
};

export declare class CloudPDFViewerInstance {
  setThemeColor(color: string): void;
  setAppBarColored(appBarColored: boolean): void;
  setDarkMode(darkmode: boolean): void;
  setDarkMode(darkmode: boolean): void;
  showUI(): void;
  loadDocument({documentId, token}: {documentId: string, token?: string}): void;
  changePage(options: {
    page: {
      index?: number;
      number?: number;
    },
    animation?: boolean;
  }): void;
  changeScale(scale: number | "AUTOMATIC" | "FIT_WIDTH" | "FIT_PAGE"): void;
  disableElements(elements: string[]): void;
  disableToolbar(enabled: boolean): void;
  on(eventName: string, listener: (data: any) => void): void;
}

declare function CloudPDF(config: CloudPDFViewerOptions, element: HTMLDivElement): Promise<CloudPDFViewerInstance>;